Loading...
Searching...
No Matches
Magick::DrawablePolyline Class Reference
Inheritance diagram for Magick::DrawablePolyline:

## Public Member Functions

| DrawablePolyline (const CoordinateList &coordinates_)
| DrawablePolyline (const DrawablePolyline &original_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const

## Private Attributes

CoordinateList | _coordinates

## Detailed Description

Definition at line 1293 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawablePolyline() [1/2]

Magick::DrawablePolyline::DrawablePolyline | ( | const CoordinateList & | coordinates_ | ) |

Definition at line 960 of file Drawable.cpp.

: _coordinates(coordinates_)
{
}

## DrawablePolyline() [2/2]

Magick::DrawablePolyline::DrawablePolyline | ( | const DrawablePolyline & | original_ | ) |

Definition at line 965 of file Drawable.cpp.

: DrawableBase (original_),
_coordinates(original_._coordinates)
{
}

## ~DrawablePolyline()

Magick::DrawablePolyline::~DrawablePolyline | ( | void |  | ) |

Definition at line 971 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawablePolyline::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 994 of file Drawable.cpp.

{
return new DrawablePolyline(*this);
}

## operator()()

void Magick::DrawablePolyline::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 974 of file Drawable.cpp.

{
size_t num_coords = (size_t) _coordinates.size();
PointInfo *coordinates = new PointInfo[num_coords];
PointInfo *q = coordinates;
CoordinateList::const_iterator p = _coordinates.begin();
while( p != _coordinates.end() )
{
q->x = p->x();
q->y = p->y();
q++;
p++;
}
DrawPolyline( context_, num_coords, coordinates );
delete [] coordinates;
}

## Field Documentation

## _coordinates

CoordinateList Magick::DrawablePolyline::_coordinates

private

Definition at line 1309 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp